confint.uvpot {POT} | R Documentation

## Generic Function to Compute (Profile) Confidence Intervals

### Description

Compute (profile) confidence intervals for the scale, shape GPD parameters and also for GPD quantiles.

### Usage

    ## S3 method for class 'uvpot'
    confint(object, parm, level = 0.95, ..., range, prob,
     prof = TRUE)

### Arguments

`object` | `R` object given by function `fitgpd`.
`parm` | Charater string specifies for which variable confidence intervals are computed. One of `"quant"`, `"scale"` or `"shape"`.
`level` | Numeric. The confidence level.
`...` | Optional parameters. See details.
`range` | Vector of dimension two. It gives the lower and upper bound on which the profile likelihood is performed. Only required when "prof = TRUE".
`prob` | The probability of non exceedance.
`prof` | Logical. If `TRUE` (the default), profile confidence intervals are computed. Otherwise, it is Fisher ones.

### Details

Additional options can be passed using "..." in the function call. Possibilites are related to the specific functions: `link{gpd.fiscale}`, `link{gpd.fishape}`, `link{gpd.firl}`, `link{gpd.pfscale}`, `link{gpd.pfshape}`, `link{gpd.pfrl}`.

### Value

Returns a vector of the lower and upper bound for the (profile) confidence interval. Moreover, a graphic of the profile likelihood function is displayed when `prof = TRUE`.

### Author(s)

Mathieu Ribatet

### See Also

`link{gpd.fiscale}`, `link{gpd.fishape}`, `link{gpd.firl}`, `link{gpd.pfscale}`, `link{gpd.pfshape}` and `link{gpd.pfrl}`

### Examples

    x <- rgpd(100, 0, 1, 0.25)
    mle <- fitgpd(x, 0)
    confint(mle, prob = 0.2)
    confint(mle, parm = "shape")

[Package POT version 1.1-7 Index]